rte_event_eth_rx_adapter_stats(3)

NAME
rte_event_eth_rx_adapter_stats

SYNOPSIS

#include <rte_event_eth_rx_adapter.h>

  Data Fields

uint64_t rx_poll_count
uint64_t rx_packets
uint64_t rx_enq_count
uint64_t rx_enq_retry
uint64_t rx_dropped
uint64_t rx_enq_start_ts
uint64_t rx_enq_block_cycles
uint64_t rx_enq_end_ts
uint64_t rx_intr_packets
uint64_t rx_event_buf_count
uint64_t rx_event_buf_size

Detailed Description

A structure used to retrieve statistics for an eth rx adapter instance.

Definition at line 238 of file rte_event_eth_rx_adapter.h.

Field Documentation

  uint64_t rx_poll_count
Receive queue poll count

Definition at line 239 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_packets
Received packet count

Definition at line 241 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_enq_count
Eventdev enqueue count

Definition at line 243 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_enq_retry
Eventdev enqueue retry count

Definition at line 245 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_dropped
Received packet dropped count

Definition at line 247 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_enq_start_ts
Rx enqueue start timestamp

Definition at line 249 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_enq_block_cycles
Cycles for which the service is blocked by the event device, i.e, the service fails to enqueue to the event device.

Definition at line 251 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_enq_end_ts
Latest timestamp at which the service is unblocked by the event device. The start, end timestamps and block cycles can be used to compute the percentage of cycles the service is blocked by the event device.

Definition at line 255 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_intr_packets
Received packet count for interrupt mode Rx queues

Definition at line 261 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_event_buf_count
Rx event buffered count

Definition at line 263 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_event_buf_size
Rx event buffer size

Definition at line 265 of file rte_event_eth_rx_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.